FROM node:22-alpine as nodebuild

WORKDIR /ui

COPY frontend/fic/ .

RUN npm install --network-timeout=100000 && \
    npm run build


FROM scratch

COPY --from=nodebuild /ui/build/ /www/htdocs-frontend
